------------------------------------------
---  Copyright HDRsoft - www.hdrsoft.com   
------------------------------------------

local LrApplication = import 'LrApplication'
local LrBinding = import 'LrBinding'
local LrView = import 'LrView'
local LrDialogs = import 'LrDialogs'
local LrFunctionContext = import 'LrFunctionContext'
local LrStringUtils = import 'LrStringUtils'
local LrErrors = import 'LrErrors'
local LrHttp = import "LrHttp"
--local LrFileUtils = import 'LrFileUtils'
--local LrPathUtils = import 'LrPathUtils'
local LrLogger = import 'LrLogger'
local prefs = import 'LrPrefs'.prefsForPlugin() 

local myLogger = LrLogger('PhotomatixLogger')
myLogger:disable("print") 

local pmdebug=true

ExportToDPXRegistration = {}


function ExportToDPXRegistration.showRegDialog( )

local userAction=''

local f = LrView.osFactory() 

local wText=410

local licenseKeyEditField = f:edit_field	{
--		place_horizontal=0.20,
--		width_in_chars = 24,
		place_horizontal=wText-300,
		width = 300,
		--value = LrView.bind 'licenseKey', 
		immediate = true,
	}


LrFunctionContext.callWithContext( 'ExportToDPXSettings', function( context )

	local props = LrBinding.makePropertyTable( context ) 

	
	local regDialog = f:column {

		bind_to_object = props,
		spacing = f:dialog_spacing(),
		
		f:row {
			f:static_text {
				fill_horizontal = 1,
				height_in_lines = 3,
				width = wText,
				title = LOC "$$$/Photomatix/Registration/TrialText1=Your copy of the plug-in is in trial mode, and a watermark will be added to the DPX file created.  You can register your copy and avoid the watermark by purchasing a license key.",
			},
		},
		
		f:row {
			f:push_button {
				place_horizontal=wText-180,
				width = 180, 
				title = LOC "$$$/Photomatix/Registration/PurchaseButton=Purchase License Key", 
				enabled = true, 
				action = function()
					-- TODO: Update URL
					LrHttp.openUrlInBrowser(LOC "$$$/Photomatix/Registration/PurchaseURL=http://www.hdrsoft.com/order.php#lrpi") 
				end,
			},
		},

		f:spacer { width = wText },

		f:row {
			f:static_text {
				fill_horizontal = 1,
				height_in_lines = 1,
				width = wText,
				title = LOC "$$$/Photomatix/Registration/RegistrationText2=If you have a license key, please copy/paste it below.",
			},
		},
	
		f:row {
--			spacing = f:control_spacing(),

			f:column {
				f:static_text {
					title = LOC "$$$/NotToBeEditedByTranslators/SpaceForFitting/LeftMarginLicenseKey=   ",
				},			
			},
			
			f:column {	
				f:static_text {
					title =LOC "$$$/Photomatix/Registration/LicenseKeyLabel=License Key:",
					height_in_lines = 2,
				},
			},
			f:column {					
				licenseKeyEditField,			
			},
		},
	}

		
	
	userAction = LrDialogs.presentModalDialog( {
			title = LOC "$$$/Photomatix/Registration/Title=Merge to 32-bit HDR Plug-in - Unregistered Copy",
			contents = regDialog,
			actionVerb = LOC "$$$/Photomatix/General/Continue=Continue",
		} )

		
	end )  -- end of LrFunctionContext.callWithContext

	local enteredKey=""
	if (licenseKeyEditField.value~=nil) then
		if pmdebug then
			myLogger:trace(string.format('key entered is:  %s', licenseKeyEditField.value))
		end

		enteredKey=LrStringUtils.trimWhitespace(licenseKeyEditField.value)
		if ((#enteredKey < 16) or (#enteredKey > 24)) then
			enteredKey=""
		end
	end
	
	prefs.enteredKey=enteredKey	

return userAction

end
